# Users Object

> Source: https://truto.one/docs/api-reference/unified-file-storage-api/users/

Schema for the `Users` resource in **Unified File Storage API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for a user
- **`first_name`** _(string)_
  The first name of the user
- **`last_name`** _(string)_
  The last name of the user
- **`name`** _(string)_
  The name of the user
- **`emails`** _(array<object>)_
  The emails of the user
  - **`email`** _(string)_
    The email address
  - **`type`** _(string)_
    The type of email address
  - **`is_primary`** _(boolean)_
    Whether the email address is primary
- **`roles`** _(array<object>)_
  The roles of the user
  - **`id`** _(string)_
    The unique identifier for a role
  - **`name`** _(string)_
    The name of the role
- **`created_at`** _(string)_
  The date and time the user was created
- **`updated_at`** _(string)_
  The date and time the user was last updated
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/file-storage/users](/docs/api-reference/unified-file-storage-api/users/list) — List Users
- [GET /unified/file-storage/users/{id}](/docs/api-reference/unified-file-storage-api/users/get) — Get Users
